/* =========================================================================
   file    : proed4w/syntaxcheck.p
   purpose : perform basic syntax check
   by      : John Kattestaart
   ========================================================================= */
DEFINE INPUT PARAMETER pSourcefile     AS CHARACTER NO-UNDO.

DEFINE VARIABLE        cLine           AS CHARACTER NO-UNDO. /* text line */

PUBLISH "WriteToEd4Windows":U ('Starting compilation for ':U + pSourceFile).

OUTPUT TO VALUE(SESSION:TEMP-DIR + 'syntax.log').
COMPILE VALUE(pSourcefile).
OUTPUT CLOSE.

INPUT FROM VALUE(SESSION:TEMP-DIR + 'syntax.log').
REPEAT:
    IMPORT UNFORMATTED cLine.
    PUBLISH "WriteToEd4Windows":U(cLine).
END.
INPUT CLOSE.

PUBLISH "WriteToEd4Windows":U ('Compilation finished for ':U + pSourceFile).

